/*
 *
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 *
 */

package org.apache.airavata.commons.gfac.wsdl;

public interface WSDLConstants {
    // For wsdl generation
    public final static String TYPENS = "typens";

    public final static String GLOBAL_TYPENS = "globalTypens";

    public final static String WSDLNS = "wsdlns";

    public final static String SOAP = "soap";

    public final static String XSD = "xsd";

    public final static String XMLNS = "xmlns";

    public final static String TARGET_NAMESPACE = "targetNamespace";
    
    public static final String TRANSPORT_LEVEL = "TransportLevel";

    public final static String SCHEMA = "schema";

    public final static String ELEMENT_FORM_DEFAULT = "elementFormDefault";

    public final static String UNQUALIFIED = "unqualified";

    public final static String ANNOTATION = "annotation";

    public final static String WSDL_DOCUMENTATION = "wsdl:documentation";

    public final static String DOCUMENTATION = "documentation";

    public static final String SERVICE_QNAME = "SERVICE_QNAME";

    public final static String AWSDL = "AWSDL";

    public static final String WSDL_PORT_SUFFIX = "_Port";

    public static final String WSDL_SOAP_BINDING_SUFFIX = "_SoapBinding";

    public static final String LITERAL = "literal";

    public static final String DOCUMENT = "document";

    public static final String XSD_STRING_TYPE = "xsd:string";

    public static final String COMPLEX_TYPE = "complexType";

    public static final String SIMPLE_TYPE = "simpleType";

    public static final String PART_NAME = "parameters";

    public final static String WSDL = "WSDL";

    public final static String WSDL_QNAME = "WSDL_QNAME";

    public static final String XSD_NAMESPACE = "http://www.w3.org/2001/XMLSchema";

    public static final String WSDL_NAMEPSPACE = "http://schemas.xmlsoap.org/wsdl/";

    public static final String SOAP_NAMESPACE = "http://schemas.xmlsoap.org/wsdl/soap/";

    public static final String SOAP_HTTP_NAMESPACE = "http://schemas.xmlsoap.org/soap/http";

    public static final String WSP_NAMESPACE = "http://schemas.xmlsoap.org/ws/2004/09/policy";

    public static final String WSPE_NAMESPACE = "http://schemas.xmlsoap.org/ws/2004/09/policy/encoding";

    public static final String WSA_NAMESPACE = "http://schemas.xmlsoap.org/ws/2004/08/addressing";

    public static final String WSU_NAMESPACE = "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd";

    public static final String SP_NAMESPACE = "http://schemas.xmlsoap.org/ws/2005/07/securitypolicy";

    public static final String WSS10_NAMESPACE = "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd";

    public static final String WST_NAMESPACE = "http://schemas.xmlsoap.org/ws/2005/02/trust";

    public static final String SERVICE_LOCATION = "ServiceLocation";

    public static final String HYPHEN_REPLACEMENT = "GFAC_MINUS_REPLACEMENT";

    public static final String HYPHEN = "-";

}
